+ date
Thu Apr 20 13:10:07 UTC 2023
+ apt-get source --only-source examl=3.0.22-1
Reading package lists...
NOTICE: 'examl' packaging is maintained in the 'Git' version control system at:
https://salsa.debian.org/med-team/examl.git
Please use:
git clone https://salsa.debian.org/med-team/examl.git
to retrieve the latest (possibly unreleased) updates to the package.
Need to get 970 kB of source archives.
Get:1 http://repo.pureos.net/pureos byzantium/main examl 3.0.22-1 (dsc) [1976 B]
Get:2 http://repo.pureos.net/pureos byzantium/main examl 3.0.22-1 (tar) [941 kB]
Get:3 http://repo.pureos.net/pureos byzantium/main examl 3.0.22-1 (diff) [26.9 kB]
dpkg-source: info: extracting examl in examl-3.0.22
dpkg-source: info: unpacking examl_3.0.22.orig.tar.gz
dpkg-source: info: unpacking examl_3.0.22-1.debian.tar.xz
dpkg-source: info: using patch list from debian/patches/series
dpkg-source: info: applying hardening.patch
dpkg-source: info: applying simde
Fetched 970 kB in 0s (3404 kB/s)
W: Download is performed unsandboxed as root as file 'examl_3.0.22-1.dsc' couldn't be accessed by user '_apt'. - pkgAcquire::Run (13: Permission denied)
+ env DEBIAN_FRONTEND=noninteractive apt-get build-dep -y --only-source examl=3.0.22-1
Reading package lists...
Reading package lists...
Building dependency tree...
Reading state information...
The following NEW packages will be installed:
  libevent-core-2.1-7 libevent-dev libevent-extra-2.1-7 libevent-openssl-2.1-7
  libevent-pthreads-2.1-7 libfabric1 libhwloc-dev libhwloc-plugins libhwloc15
  libibverbs-dev libnl-3-dev libnl-route-3-dev libnuma-dev libopenmpi-dev
  libopenmpi3 libpmix-dev libpmix2 libpsm-infinipath1 libpsm2-2 libsimde-dev
  libucx0 libxnvctrl0 openmpi-bin openmpi-common
0 upgraded, 24 newly installed, 0 to remove and 0 not upgraded.
Need to get 8882 kB of archives.
After this operation, 45.6 MB of additional disk space will be used.
Get:1 http://repo.pureos.net/pureos byzantium/main amd64 libevent-core-2.1-7 amd64 2.1.12-stable-1 [139 kB]
Get:2 http://repo.pureos.net/pureos byzantium/main amd64 libevent-extra-2.1-7 amd64 2.1.12-stable-1 [110 kB]
Get:3 http://repo.pureos.net/pureos byzantium/main amd64 libevent-pthreads-2.1-7 amd64 2.1.12-stable-1 [57.1 kB]
Get:4 http://repo.pureos.net/pureos byzantium/main amd64 libevent-openssl-2.1-7 amd64 2.1.12-stable-1 [64.1 kB]
Get:5 http://repo.pureos.net/pureos byzantium/main amd64 libevent-dev amd64 2.1.12-stable-1 [311 kB]
Get:6 http://repo.pureos.net/pureos byzantium/main amd64 libpsm-infinipath1 amd64 3.3+20.604758e7-6.1 [169 kB]
Get:7 http://repo.pureos.net/pureos byzantium/main amd64 libpsm2-2 amd64 11.2.185-1 [181 kB]
Get:8 http://repo.pureos.net/pureos byzantium/main amd64 libfabric1 amd64 1.11.0-2 [521 kB]
Get:9 http://repo.pureos.net/pureos byzantium/main amd64 libhwloc15 amd64 2.4.1+dfsg-1 [150 kB]
Get:10 http://repo.pureos.net/pureos byzantium/main amd64 libnuma-dev amd64 2.0.12-1+b1 [39.3 kB]
Get:11 http://repo.pureos.net/pureos byzantium/main amd64 libhwloc-dev amd64 2.4.1+dfsg-1 [231 kB]
Get:12 http://repo.pureos.net/pureos byzantium/main amd64 libxnvctrl0 amd64 470.141.03-1~deb11u1 [27.5 kB]
Get:13 http://repo.pureos.net/pureos byzantium/main amd64 libhwloc-plugins amd64 2.4.1+dfsg-1 [21.4 kB]
Get:14 http://repo.pureos.net/pureos byzantium/main amd64 libnl-3-dev amd64 3.4.0-1+b1 [102 kB]
Get:15 http://repo.pureos.net/pureos byzantium/main amd64 libnl-route-3-dev amd64 3.4.0-1+b1 [176 kB]
Get:16 http://repo.pureos.net/pureos byzantium/main amd64 libibverbs-dev amd64 33.2-1 [487 kB]
Get:17 http://repo.pureos.net/pureos byzantium/main amd64 libpmix2 amd64 4.0.0-4.1 [552 kB]
Get:18 http://repo.pureos.net/pureos byzantium/main amd64 libucx0 amd64 1.10.1~rc1+really.1.10.0-1 [649 kB]
Get:19 http://repo.pureos.net/pureos byzantium/main amd64 libopenmpi3 amd64 4.1.0-10 [2370 kB]
Get:20 http://repo.pureos.net/pureos byzantium/main amd64 openmpi-common all 4.1.0-10 [179 kB]
Get:21 http://repo.pureos.net/pureos byzantium/main amd64 libpmix-dev amd64 4.0.0-4.1 [655 kB]
Get:22 http://repo.pureos.net/pureos byzantium/main amd64 openmpi-bin amd64 4.1.0-10 [238 kB]
Get:23 http://repo.pureos.net/pureos byzantium/main amd64 libopenmpi-dev amd64 4.1.0-10 [1192 kB]
Get:24 http://repo.pureos.net/pureos byzantium/main amd64 libsimde-dev all 0.7.2-4 [259 kB]
Fetched 8882 kB in 1s (16.3 MB/s)
Selecting previously unselected package libevent-core-2.1-7:amd64.
(Reading database ... (Reading database ... 5%(Reading database ... 10%(Reading database ... 15%(Reading database ... 20%(Reading database ... 25%(Reading database ... 30%(Reading database ... 35%(Reading database ... 40%(Reading database ... 45%(Reading database ... 50%(Reading database ... 55%(Reading database ... 60%(Reading database ... 65%(Reading database ... 70%(Reading database ... 75%(Reading database ... 80%(Reading database ... 85%(Reading database ... 90%(Reading database ... 95%(Reading database ... 100%(Reading database ... 102989 files and directories currently installed.)
Preparing to unpack .../00-libevent-core-2.1-7_2.1.12-stable-1_amd64.deb ...
Unpacking libevent-core-2.1-7:amd64 (2.1.12-stable-1) ...
Selecting previously unselected package libevent-extra-2.1-7:amd64.
Preparing to unpack .../01-libevent-extra-2.1-7_2.1.12-stable-1_amd64.deb ...
Unpacking libevent-extra-2.1-7:amd64 (2.1.12-stable-1) ...
Selecting previously unselected package libevent-pthreads-2.1-7:amd64.
Preparing to unpack .../02-libevent-pthreads-2.1-7_2.1.12-stable-1_amd64.deb ...
Unpacking libevent-pthreads-2.1-7:amd64 (2.1.12-stable-1) ...
Selecting previously unselected package libevent-openssl-2.1-7:amd64.
Preparing to unpack .../03-libevent-openssl-2.1-7_2.1.12-stable-1_amd64.deb ...
Unpacking libevent-openssl-2.1-7:amd64 (2.1.12-stable-1) ...
Selecting previously unselected package libevent-dev.
Preparing to unpack .../04-libevent-dev_2.1.12-stable-1_amd64.deb ...
Unpacking libevent-dev (2.1.12-stable-1) ...
Selecting previously unselected package libpsm-infinipath1.
Preparing to unpack .../05-libpsm-infinipath1_3.3+20.604758e7-6.1_amd64.deb ...
Unpacking libpsm-infinipath1 (3.3+20.604758e7-6.1) ...
Selecting previously unselected package libpsm2-2.
Preparing to unpack .../06-libpsm2-2_11.2.185-1_amd64.deb ...
Unpacking libpsm2-2 (11.2.185-1) ...
Selecting previously unselected package libfabric1.
Preparing to unpack .../07-libfabric1_1.11.0-2_amd64.deb ...
Unpacking libfabric1 (1.11.0-2) ...
Selecting previously unselected package libhwloc15:amd64.
Preparing to unpack .../08-libhwloc15_2.4.1+dfsg-1_amd64.deb ...
Unpacking libhwloc15:amd64 (2.4.1+dfsg-1) ...
Selecting previously unselected package libnuma-dev:amd64.
Preparing to unpack .../09-libnuma-dev_2.0.12-1+b1_amd64.deb ...
Unpacking libnuma-dev:amd64 (2.0.12-1+b1) ...
Selecting previously unselected package libhwloc-dev:amd64.
Preparing to unpack .../10-libhwloc-dev_2.4.1+dfsg-1_amd64.deb ...
Unpacking libhwloc-dev:amd64 (2.4.1+dfsg-1) ...
Selecting previously unselected package libxnvctrl0:amd64.
Preparing to unpack .../11-libxnvctrl0_470.141.03-1~deb11u1_amd64.deb ...
Unpacking libxnvctrl0:amd64 (470.141.03-1~deb11u1) ...
Selecting previously unselected package libhwloc-plugins:amd64.
Preparing to unpack .../12-libhwloc-plugins_2.4.1+dfsg-1_amd64.deb ...
Unpacking libhwloc-plugins:amd64 (2.4.1+dfsg-1) ...
Selecting previously unselected package libnl-3-dev:amd64.
Preparing to unpack .../13-libnl-3-dev_3.4.0-1+b1_amd64.deb ...
Unpacking libnl-3-dev:amd64 (3.4.0-1+b1) ...
Selecting previously unselected package libnl-route-3-dev:amd64.
Preparing to unpack .../14-libnl-route-3-dev_3.4.0-1+b1_amd64.deb ...
Unpacking libnl-route-3-dev:amd64 (3.4.0-1+b1) ...
Selecting previously unselected package libibverbs-dev:amd64.
Preparing to unpack .../15-libibverbs-dev_33.2-1_amd64.deb ...
Unpacking libibverbs-dev:amd64 (33.2-1) ...
Selecting previously unselected package libpmix2:amd64.
Preparing to unpack .../16-libpmix2_4.0.0-4.1_amd64.deb ...
Unpacking libpmix2:amd64 (4.0.0-4.1) ...
Selecting previously unselected package libucx0:amd64.
Preparing to unpack .../17-libucx0_1.10.1~rc1+really.1.10.0-1_amd64.deb ...
Unpacking libucx0:amd64 (1.10.1~rc1+really.1.10.0-1) ...
Selecting previously unselected package libopenmpi3:amd64.
Preparing to unpack .../18-libopenmpi3_4.1.0-10_amd64.deb ...
Unpacking libopenmpi3:amd64 (4.1.0-10) ...
Selecting previously unselected package openmpi-common.
Preparing to unpack .../19-openmpi-common_4.1.0-10_all.deb ...
Unpacking openmpi-common (4.1.0-10) ...
Selecting previously unselected package libpmix-dev:amd64.
Preparing to unpack .../20-libpmix-dev_4.0.0-4.1_amd64.deb ...
Unpacking libpmix-dev:amd64 (4.0.0-4.1) ...
Selecting previously unselected package openmpi-bin.
Preparing to unpack .../21-openmpi-bin_4.1.0-10_amd64.deb ...
Unpacking openmpi-bin (4.1.0-10) ...
Selecting previously unselected package libopenmpi-dev:amd64.
Preparing to unpack .../22-libopenmpi-dev_4.1.0-10_amd64.deb ...
Unpacking libopenmpi-dev:amd64 (4.1.0-10) ...
Selecting previously unselected package libsimde-dev.
Preparing to unpack .../23-libsimde-dev_0.7.2-4_all.deb ...
Unpacking libsimde-dev (0.7.2-4) ...
Setting up libsimde-dev (0.7.2-4) ...
Setting up libucx0:amd64 (1.10.1~rc1+really.1.10.0-1) ...
Setting up libnuma-dev:amd64 (2.0.12-1+b1) ...
Setting up libxnvctrl0:amd64 (470.141.03-1~deb11u1) ...
Setting up libhwloc15:amd64 (2.4.1+dfsg-1) ...
Setting up libevent-core-2.1-7:amd64 (2.1.12-stable-1) ...
Setting up libnl-3-dev:amd64 (3.4.0-1+b1) ...
Setting up libpsm2-2 (11.2.185-1) ...
Setting up openmpi-common (4.1.0-10) ...
Setting up libhwloc-dev:amd64 (2.4.1+dfsg-1) ...
Setting up libpsm-infinipath1 (3.3+20.604758e7-6.1) ...
update-alternatives: using /usr/lib/libpsm1/libpsm_infinipath.so.1.16 to provide /usr/lib/x86_64-linux-gnu/libpsm_infinipath.so.1 (libpsm_infinipath.so.1) in auto mode
Setting up libevent-pthreads-2.1-7:amd64 (2.1.12-stable-1) ...
Setting up libfabric1 (1.11.0-2) ...
Setting up libevent-extra-2.1-7:amd64 (2.1.12-stable-1) ...
Setting up libevent-openssl-2.1-7:amd64 (2.1.12-stable-1) ...
Setting up libhwloc-plugins:amd64 (2.4.1+dfsg-1) ...
Setting up libnl-route-3-dev:amd64 (3.4.0-1+b1) ...
Setting up libevent-dev (2.1.12-stable-1) ...
Setting up libpmix2:amd64 (4.0.0-4.1) ...
Setting up libopenmpi3:amd64 (4.1.0-10) ...
Setting up libibverbs-dev:amd64 (33.2-1) ...
Setting up libpmix-dev:amd64 (4.0.0-4.1) ...
Setting up openmpi-bin (4.1.0-10) ...
update-alternatives: using /usr/bin/mpirun.openmpi to provide /usr/bin/mpirun (mpirun) in auto mode
update-alternatives: using /usr/bin/mpicc.openmpi to provide /usr/bin/mpicc (mpi) in auto mode
Setting up libopenmpi-dev:amd64 (4.1.0-10) ...
update-alternatives: using /usr/lib/x86_64-linux-gnu/openmpi/include to provide /usr/include/x86_64-linux-gnu/mpi (mpi-x86_64-linux-gnu) in auto mode
Processing triggers for man-db (2.9.4-2) ...
Processing triggers for libc-bin (2.31-13+deb11u5) ...
+ find . -maxdepth 1 -name examl* -type d
+ cd ./examl-3.0.22
+ eatmydata env DEB_BUILD_OPTIONS=noautodbgsym dpkg-buildpackage --no-sign
dpkg-buildpackage: info: source package examl
dpkg-buildpackage: info: source version 3.0.22-1
dpkg-buildpackage: info: source distribution unstable
dpkg-buildpackage: info: source changed by Michael R. Crusoe <crusoe@debian.org>
 dpkg-source --before-build .
dpkg-buildpackage: info: host architecture amd64
 debian/rules clean
dh clean  --sourcedirectory=examl
   debian/rules override_dh_auto_clean
make[1]: Entering directory '/build/examl/examl-3.0.22'
for SIMD in avx2 avx sse4.1 ssse3 sse3 sse2 ; do \
	dh_auto_clean -- SFX=-${SIMD} ; \
done
/usr/bin/make --directory=parser -f Makefile.SSE3.gcc clean
make[2]: Entering directory '/build/examl/examl-3.0.22/parser'
rm -f *.o parse-examl""
make[2]: Leaving directory '/build/examl/examl-3.0.22/parser'
make[1]: Leaving directory '/build/examl/examl-3.0.22'
   dh_autoreconf_clean -O--sourcedirectory=examl
   dh_clean -O--sourcedirectory=examl
 dpkg-source -b .
dpkg-source: info: using source format '3.0 (quilt)'
dpkg-source: info: building examl using existing ./examl_3.0.22.orig.tar.gz
dpkg-source: info: using patch list from debian/patches/series
dpkg-source: info: building examl in examl_3.0.22-1.debian.tar.xz
dpkg-source: info: building examl in examl_3.0.22-1.dsc
 debian/rules binary
dh binary  --sourcedirectory=examl
   dh_update_autotools_config -O--sourcedirectory=examl
   dh_autoreconf -O--sourcedirectory=examl
   dh_auto_configure -O--sourcedirectory=examl
   debian/rules override_dh_auto_build
make[1]: Entering directory '/build/examl/examl-3.0.22'
dh_auto_build
for SIMD in avx2 avx sse4.1 ssse3 sse3 sse2 ; do \
	/usr/bin/make --directory=examl -f Makefile.AVX.gcc SFX=-${SIMD} CFLAGS="-g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -m${SIMD}" ; \
	/usr/bin/make --directory=examl -f Makefile.OMP.AVX.gcc SFX=-${SIMD} CFLAGS="-g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -m${SIMD}" ; \
	find . -name '*.o' -delete ; \
done
make[2]: Entering directory '/build/examl/examl-3.0.22/examl'
rm -f *.o examl-avx2
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mavx2 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o axml.o axml.c
In function ‘initializePartitions’,
    inlined from ‘initializeTree’ at axml.c:2217:3,
    inlined from ‘main’ at axml.c:2631:5:
axml.c:2121:40: warning: argument 1 range [18446744071562067968, 18446744073709551615] exceeds maximum object size 9223372036854775807 [-Walloc-size-larger-than=]
 2121 |       *modelWeights = (unsigned long*) calloc(tr->NumberOfModels, sizeof(unsigned long));
      |                                        ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from axml.c:44:
axml.c: In function ‘main’:
/usr/include/stdlib.h:542:14: note: in a call to allocation function ‘calloc’ declared here
  542 | extern void *calloc (size_t __nmemb, size_t __size)
      |              ^~~~~~
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mavx2 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o optimizeModel.o optimizeModel.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mavx2 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o trash.o trash.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mavx2 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o searchAlgo.o searchAlgo.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mavx2 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o topologies.o topologies.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mavx2 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o treeIO.o treeIO.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mavx2 -D_OPTIMIZED_FUNCTIONS -D_GNU_SOURCE -fomit-frame-pointer -funroll-loops -D_USE_ALLREDUCE  -O1 -Wdate-time -D_FORTIFY_SOURCE=2 -c -o models.o models.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mavx2 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o evaluatePartialGenericSpecial.o evaluatePartialGenericSpecial.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mavx2 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o evaluateGenericSpecial.o evaluateGenericSpecial.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mavx2 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o newviewGenericSpecial.o newviewGenericSpecial.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mavx2 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o makenewzGenericSpecial.o makenewzGenericSpecial.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mavx2 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o bipartitionList.o bipartitionList.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mavx2 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o restartHashTable.o restartHashTable.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mavx2 -Wdate-time -D_FORTIFY_SOURCE=2 -c -o avxLikelihood.o avxLikelihood.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mavx2 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o byteFile.o byteFile.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mavx2 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o partitionAssignment.o partitionAssignment.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mavx2 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o communication.o communication.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mavx2 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o quartets.o quartets.c
quartets.c: In function ‘computeQuartets’:
quartets.c:393:31: warning: implicit declaration of function ‘basename’; did you mean ‘rename’? [-Wimplicit-function-declaration]
  393 |       strcat(quartetFileName, basename(ckp.quartetFileName));
      |                               ^~~~~~~~
      |                               rename
quartets.c:393:31: warning: passing argument 2 of ‘strcat’ makes pointer from integer without a cast [-Wint-conversion]
  393 |       strcat(quartetFileName, basename(ckp.quartetFileName));
      |                               ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
      |                               |
      |                               int
In file included from /usr/include/features.h:461,
                 from /usr/include/x86_64-linux-gnu/bits/libc-header-start.h:33,
                 from /usr/include/limits.h:26,
                 from /usr/lib/gcc/x86_64-linux-gnu/10/include/limits.h:195,
                 from /usr/lib/gcc/x86_64-linux-gnu/10/include/syslimits.h:7,
                 from /usr/lib/gcc/x86_64-linux-gnu/10/include/limits.h:34,
                 from quartets.c:36:
/usr/include/x86_64-linux-gnu/bits/string_fortified.h:126:1: note: expected ‘const char * restrict’ but argument is of type ‘int’
  126 | __NTH (strcat (char *__restrict __dest, const char *__restrict __src))
      | ^~~~~
mpicc -o examl-avx2 axml.o optimizeModel.o trash.o searchAlgo.o topologies.o treeIO.o models.o evaluatePartialGenericSpecial.o evaluateGenericSpecial.o newviewGenericSpecial.o makenewzGenericSpecial.o bipartitionList.o restartHashTable.o avxLikelihood.o byteFile.o partitionAssignment.o communication.o quartets.o -lm -Wl,-z,relro -Wl,-z,now
make[2]: Leaving directory '/build/examl/examl-3.0.22/examl'
make[2]: Entering directory '/build/examl/examl-3.0.22/examl'
mpicc -o examl-OMP-avx2 axml.o optimizeModel.o trash.o searchAlgo.o topologies.o treeIO.o models.o evaluatePartialGenericSpecial.o evaluateGenericSpecial.o newviewGenericSpecial.o makenewzGenericSpecial.o bipartitionList.o restartHashTable.o avxLikelihood.o byteFile.o partitionAssignment.o communication.o quartets.o -lm -fopenmp -Wl,-z,relro -Wl,-z,now
make[2]: Leaving directory '/build/examl/examl-3.0.22/examl'
make[2]: Entering directory '/build/examl/examl-3.0.22/examl'
rm -f *.o examl-avx
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mavx -Wdate-time -D_FORTIFY_SOURCE=2  -c -o axml.o axml.c
In function ‘initializePartitions’,
    inlined from ‘initializeTree’ at axml.c:2217:3,
    inlined from ‘main’ at axml.c:2631:5:
axml.c:2121:40: warning: argument 1 range [18446744071562067968, 18446744073709551615] exceeds maximum object size 9223372036854775807 [-Walloc-size-larger-than=]
 2121 |       *modelWeights = (unsigned long*) calloc(tr->NumberOfModels, sizeof(unsigned long));
      |                                        ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from axml.c:44:
axml.c: In function ‘main’:
/usr/include/stdlib.h:542:14: note: in a call to allocation function ‘calloc’ declared here
  542 | extern void *calloc (size_t __nmemb, size_t __size)
      |              ^~~~~~
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mavx -Wdate-time -D_FORTIFY_SOURCE=2  -c -o optimizeModel.o optimizeModel.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mavx -Wdate-time -D_FORTIFY_SOURCE=2  -c -o trash.o trash.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mavx -Wdate-time -D_FORTIFY_SOURCE=2  -c -o searchAlgo.o searchAlgo.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mavx -Wdate-time -D_FORTIFY_SOURCE=2  -c -o topologies.o topologies.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mavx -Wdate-time -D_FORTIFY_SOURCE=2  -c -o treeIO.o treeIO.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mavx -D_OPTIMIZED_FUNCTIONS -D_GNU_SOURCE -fomit-frame-pointer -funroll-loops -D_USE_ALLREDUCE  -O1 -Wdate-time -D_FORTIFY_SOURCE=2 -c -o models.o models.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mavx -Wdate-time -D_FORTIFY_SOURCE=2  -c -o evaluatePartialGenericSpecial.o evaluatePartialGenericSpecial.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mavx -Wdate-time -D_FORTIFY_SOURCE=2  -c -o evaluateGenericSpecial.o evaluateGenericSpecial.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mavx -Wdate-time -D_FORTIFY_SOURCE=2  -c -o newviewGenericSpecial.o newviewGenericSpecial.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mavx -Wdate-time -D_FORTIFY_SOURCE=2  -c -o makenewzGenericSpecial.o makenewzGenericSpecial.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mavx -Wdate-time -D_FORTIFY_SOURCE=2  -c -o bipartitionList.o bipartitionList.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mavx -Wdate-time -D_FORTIFY_SOURCE=2  -c -o restartHashTable.o restartHashTable.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mavx -Wdate-time -D_FORTIFY_SOURCE=2 -c -o avxLikelihood.o avxLikelihood.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mavx -Wdate-time -D_FORTIFY_SOURCE=2  -c -o byteFile.o byteFile.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mavx -Wdate-time -D_FORTIFY_SOURCE=2  -c -o partitionAssignment.o partitionAssignment.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mavx -Wdate-time -D_FORTIFY_SOURCE=2  -c -o communication.o communication.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mavx -Wdate-time -D_FORTIFY_SOURCE=2  -c -o quartets.o quartets.c
quartets.c: In function ‘computeQuartets’:
quartets.c:393:31: warning: implicit declaration of function ‘basename’; did you mean ‘rename’? [-Wimplicit-function-declaration]
  393 |       strcat(quartetFileName, basename(ckp.quartetFileName));
      |                               ^~~~~~~~
      |                               rename
quartets.c:393:31: warning: passing argument 2 of ‘strcat’ makes pointer from integer without a cast [-Wint-conversion]
  393 |       strcat(quartetFileName, basename(ckp.quartetFileName));
      |                               ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
      |                               |
      |                               int
In file included from /usr/include/features.h:461,
                 from /usr/include/x86_64-linux-gnu/bits/libc-header-start.h:33,
                 from /usr/include/limits.h:26,
                 from /usr/lib/gcc/x86_64-linux-gnu/10/include/limits.h:195,
                 from /usr/lib/gcc/x86_64-linux-gnu/10/include/syslimits.h:7,
                 from /usr/lib/gcc/x86_64-linux-gnu/10/include/limits.h:34,
                 from quartets.c:36:
/usr/include/x86_64-linux-gnu/bits/string_fortified.h:126:1: note: expected ‘const char * restrict’ but argument is of type ‘int’
  126 | __NTH (strcat (char *__restrict __dest, const char *__restrict __src))
      | ^~~~~
mpicc -o examl-avx axml.o optimizeModel.o trash.o searchAlgo.o topologies.o treeIO.o models.o evaluatePartialGenericSpecial.o evaluateGenericSpecial.o newviewGenericSpecial.o makenewzGenericSpecial.o bipartitionList.o restartHashTable.o avxLikelihood.o byteFile.o partitionAssignment.o communication.o quartets.o -lm -Wl,-z,relro -Wl,-z,now
make[2]: Leaving directory '/build/examl/examl-3.0.22/examl'
make[2]: Entering directory '/build/examl/examl-3.0.22/examl'
mpicc -o examl-OMP-avx axml.o optimizeModel.o trash.o searchAlgo.o topologies.o treeIO.o models.o evaluatePartialGenericSpecial.o evaluateGenericSpecial.o newviewGenericSpecial.o makenewzGenericSpecial.o bipartitionList.o restartHashTable.o avxLikelihood.o byteFile.o partitionAssignment.o communication.o quartets.o -lm -fopenmp -Wl,-z,relro -Wl,-z,now
make[2]: Leaving directory '/build/examl/examl-3.0.22/examl'
make[2]: Entering directory '/build/examl/examl-3.0.22/examl'
rm -f *.o examl-sse4.1
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse4.1 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o axml.o axml.c
In function ‘initializePartitions’,
    inlined from ‘initializeTree’ at axml.c:2217:3,
    inlined from ‘main’ at axml.c:2631:5:
axml.c:2121:40: warning: argument 1 range [18446744071562067968, 18446744073709551615] exceeds maximum object size 9223372036854775807 [-Walloc-size-larger-than=]
 2121 |       *modelWeights = (unsigned long*) calloc(tr->NumberOfModels, sizeof(unsigned long));
      |                                        ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from axml.c:44:
axml.c: In function ‘main’:
/usr/include/stdlib.h:542:14: note: in a call to allocation function ‘calloc’ declared here
  542 | extern void *calloc (size_t __nmemb, size_t __size)
      |              ^~~~~~
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse4.1 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o optimizeModel.o optimizeModel.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse4.1 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o trash.o trash.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse4.1 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o searchAlgo.o searchAlgo.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse4.1 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o topologies.o topologies.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse4.1 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o treeIO.o treeIO.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse4.1 -D_OPTIMIZED_FUNCTIONS -D_GNU_SOURCE -fomit-frame-pointer -funroll-loops -D_USE_ALLREDUCE  -O1 -Wdate-time -D_FORTIFY_SOURCE=2 -c -o models.o models.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse4.1 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o evaluatePartialGenericSpecial.o evaluatePartialGenericSpecial.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse4.1 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o evaluateGenericSpecial.o evaluateGenericSpecial.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse4.1 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o newviewGenericSpecial.o newviewGenericSpecial.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse4.1 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o makenewzGenericSpecial.o makenewzGenericSpecial.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse4.1 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o bipartitionList.o bipartitionList.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse4.1 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o restartHashTable.o restartHashTable.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse4.1 -Wdate-time -D_FORTIFY_SOURCE=2 -c -o avxLikelihood.o avxLikelihood.c
In file included from /usr/include/simde/x86/avx2.h:33,
                 from avxLikelihood.c:14:
/usr/include/simde/x86/avx.h: In function ‘simde__m256d_from_private’:
/usr/include/simde/x86/avx.h:287:1: note: the ABI for passing parameters with 32-byte alignment has changed in GCC 4.6
  287 | simde__m256d_from_private(simde__m256d_private v) {
      | ^~~~~~~~~~~~~~~~~~~~~~~~~
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse4.1 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o byteFile.o byteFile.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse4.1 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o partitionAssignment.o partitionAssignment.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse4.1 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o communication.o communication.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse4.1 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o quartets.o quartets.c
quartets.c: In function ‘computeQuartets’:
quartets.c:393:31: warning: implicit declaration of function ‘basename’; did you mean ‘rename’? [-Wimplicit-function-declaration]
  393 |       strcat(quartetFileName, basename(ckp.quartetFileName));
      |                               ^~~~~~~~
      |                               rename
quartets.c:393:31: warning: passing argument 2 of ‘strcat’ makes pointer from integer without a cast [-Wint-conversion]
  393 |       strcat(quartetFileName, basename(ckp.quartetFileName));
      |                               ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
      |                               |
      |                               int
In file included from /usr/include/features.h:461,
                 from /usr/include/x86_64-linux-gnu/bits/libc-header-start.h:33,
                 from /usr/include/limits.h:26,
                 from /usr/lib/gcc/x86_64-linux-gnu/10/include/limits.h:195,
                 from /usr/lib/gcc/x86_64-linux-gnu/10/include/syslimits.h:7,
                 from /usr/lib/gcc/x86_64-linux-gnu/10/include/limits.h:34,
                 from quartets.c:36:
/usr/include/x86_64-linux-gnu/bits/string_fortified.h:126:1: note: expected ‘const char * restrict’ but argument is of type ‘int’
  126 | __NTH (strcat (char *__restrict __dest, const char *__restrict __src))
      | ^~~~~
mpicc -o examl-sse4.1 axml.o optimizeModel.o trash.o searchAlgo.o topologies.o treeIO.o models.o evaluatePartialGenericSpecial.o evaluateGenericSpecial.o newviewGenericSpecial.o makenewzGenericSpecial.o bipartitionList.o restartHashTable.o avxLikelihood.o byteFile.o partitionAssignment.o communication.o quartets.o -lm -Wl,-z,relro -Wl,-z,now
make[2]: Leaving directory '/build/examl/examl-3.0.22/examl'
make[2]: Entering directory '/build/examl/examl-3.0.22/examl'
mpicc -o examl-OMP-sse4.1 axml.o optimizeModel.o trash.o searchAlgo.o topologies.o treeIO.o models.o evaluatePartialGenericSpecial.o evaluateGenericSpecial.o newviewGenericSpecial.o makenewzGenericSpecial.o bipartitionList.o restartHashTable.o avxLikelihood.o byteFile.o partitionAssignment.o communication.o quartets.o -lm -fopenmp -Wl,-z,relro -Wl,-z,now
make[2]: Leaving directory '/build/examl/examl-3.0.22/examl'
make[2]: Entering directory '/build/examl/examl-3.0.22/examl'
rm -f *.o examl-ssse3
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mssse3 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o axml.o axml.c
In function ‘initializePartitions’,
    inlined from ‘initializeTree’ at axml.c:2217:3,
    inlined from ‘main’ at axml.c:2631:5:
axml.c:2121:40: warning: argument 1 range [18446744071562067968, 18446744073709551615] exceeds maximum object size 9223372036854775807 [-Walloc-size-larger-than=]
 2121 |       *modelWeights = (unsigned long*) calloc(tr->NumberOfModels, sizeof(unsigned long));
      |                                        ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from axml.c:44:
axml.c: In function ‘main’:
/usr/include/stdlib.h:542:14: note: in a call to allocation function ‘calloc’ declared here
  542 | extern void *calloc (size_t __nmemb, size_t __size)
      |              ^~~~~~
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mssse3 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o optimizeModel.o optimizeModel.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mssse3 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o trash.o trash.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mssse3 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o searchAlgo.o searchAlgo.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mssse3 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o topologies.o topologies.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mssse3 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o treeIO.o treeIO.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mssse3 -D_OPTIMIZED_FUNCTIONS -D_GNU_SOURCE -fomit-frame-pointer -funroll-loops -D_USE_ALLREDUCE  -O1 -Wdate-time -D_FORTIFY_SOURCE=2 -c -o models.o models.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mssse3 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o evaluatePartialGenericSpecial.o evaluatePartialGenericSpecial.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mssse3 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o evaluateGenericSpecial.o evaluateGenericSpecial.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mssse3 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o newviewGenericSpecial.o newviewGenericSpecial.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mssse3 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o makenewzGenericSpecial.o makenewzGenericSpecial.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mssse3 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o bipartitionList.o bipartitionList.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mssse3 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o restartHashTable.o restartHashTable.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mssse3 -Wdate-time -D_FORTIFY_SOURCE=2 -c -o avxLikelihood.o avxLikelihood.c
In file included from /usr/include/simde/x86/avx2.h:33,
                 from avxLikelihood.c:14:
/usr/include/simde/x86/avx.h: In function ‘simde__m256d_from_private’:
/usr/include/simde/x86/avx.h:287:1: note: the ABI for passing parameters with 32-byte alignment has changed in GCC 4.6
  287 | simde__m256d_from_private(simde__m256d_private v) {
      | ^~~~~~~~~~~~~~~~~~~~~~~~~
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mssse3 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o byteFile.o byteFile.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mssse3 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o partitionAssignment.o partitionAssignment.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mssse3 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o communication.o communication.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -mssse3 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o quartets.o quartets.c
quartets.c: In function ‘computeQuartets’:
quartets.c:393:31: warning: implicit declaration of function ‘basename’; did you mean ‘rename’? [-Wimplicit-function-declaration]
  393 |       strcat(quartetFileName, basename(ckp.quartetFileName));
      |                               ^~~~~~~~
      |                               rename
quartets.c:393:31: warning: passing argument 2 of ‘strcat’ makes pointer from integer without a cast [-Wint-conversion]
  393 |       strcat(quartetFileName, basename(ckp.quartetFileName));
      |                               ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
      |                               |
      |                               int
In file included from /usr/include/features.h:461,
                 from /usr/include/x86_64-linux-gnu/bits/libc-header-start.h:33,
                 from /usr/include/limits.h:26,
                 from /usr/lib/gcc/x86_64-linux-gnu/10/include/limits.h:195,
                 from /usr/lib/gcc/x86_64-linux-gnu/10/include/syslimits.h:7,
                 from /usr/lib/gcc/x86_64-linux-gnu/10/include/limits.h:34,
                 from quartets.c:36:
/usr/include/x86_64-linux-gnu/bits/string_fortified.h:126:1: note: expected ‘const char * restrict’ but argument is of type ‘int’
  126 | __NTH (strcat (char *__restrict __dest, const char *__restrict __src))
      | ^~~~~
mpicc -o examl-ssse3 axml.o optimizeModel.o trash.o searchAlgo.o topologies.o treeIO.o models.o evaluatePartialGenericSpecial.o evaluateGenericSpecial.o newviewGenericSpecial.o makenewzGenericSpecial.o bipartitionList.o restartHashTable.o avxLikelihood.o byteFile.o partitionAssignment.o communication.o quartets.o -lm -Wl,-z,relro -Wl,-z,now
make[2]: Leaving directory '/build/examl/examl-3.0.22/examl'
make[2]: Entering directory '/build/examl/examl-3.0.22/examl'
mpicc -o examl-OMP-ssse3 axml.o optimizeModel.o trash.o searchAlgo.o topologies.o treeIO.o models.o evaluatePartialGenericSpecial.o evaluateGenericSpecial.o newviewGenericSpecial.o makenewzGenericSpecial.o bipartitionList.o restartHashTable.o avxLikelihood.o byteFile.o partitionAssignment.o communication.o quartets.o -lm -fopenmp -Wl,-z,relro -Wl,-z,now
make[2]: Leaving directory '/build/examl/examl-3.0.22/examl'
make[2]: Entering directory '/build/examl/examl-3.0.22/examl'
rm -f *.o examl-sse3
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse3 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o axml.o axml.c
In function ‘initializePartitions’,
    inlined from ‘initializeTree’ at axml.c:2217:3,
    inlined from ‘main’ at axml.c:2631:5:
axml.c:2121:40: warning: argument 1 range [18446744071562067968, 18446744073709551615] exceeds maximum object size 9223372036854775807 [-Walloc-size-larger-than=]
 2121 |       *modelWeights = (unsigned long*) calloc(tr->NumberOfModels, sizeof(unsigned long));
      |                                        ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from axml.c:44:
axml.c: In function ‘main’:
/usr/include/stdlib.h:542:14: note: in a call to allocation function ‘calloc’ declared here
  542 | extern void *calloc (size_t __nmemb, size_t __size)
      |              ^~~~~~
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse3 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o optimizeModel.o optimizeModel.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse3 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o trash.o trash.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse3 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o searchAlgo.o searchAlgo.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse3 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o topologies.o topologies.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse3 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o treeIO.o treeIO.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse3 -D_OPTIMIZED_FUNCTIONS -D_GNU_SOURCE -fomit-frame-pointer -funroll-loops -D_USE_ALLREDUCE  -O1 -Wdate-time -D_FORTIFY_SOURCE=2 -c -o models.o models.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse3 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o evaluatePartialGenericSpecial.o evaluatePartialGenericSpecial.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse3 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o evaluateGenericSpecial.o evaluateGenericSpecial.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse3 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o newviewGenericSpecial.o newviewGenericSpecial.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse3 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o makenewzGenericSpecial.o makenewzGenericSpecial.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse3 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o bipartitionList.o bipartitionList.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse3 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o restartHashTable.o restartHashTable.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse3 -Wdate-time -D_FORTIFY_SOURCE=2 -c -o avxLikelihood.o avxLikelihood.c
In file included from /usr/include/simde/x86/avx2.h:33,
                 from avxLikelihood.c:14:
/usr/include/simde/x86/avx.h: In function ‘simde__m256d_from_private’:
/usr/include/simde/x86/avx.h:287:1: note: the ABI for passing parameters with 32-byte alignment has changed in GCC 4.6
  287 | simde__m256d_from_private(simde__m256d_private v) {
      | ^~~~~~~~~~~~~~~~~~~~~~~~~
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse3 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o byteFile.o byteFile.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse3 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o partitionAssignment.o partitionAssignment.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse3 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o communication.o communication.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse3 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o quartets.o quartets.c
quartets.c: In function ‘computeQuartets’:
quartets.c:393:31: warning: implicit declaration of function ‘basename’; did you mean ‘rename’? [-Wimplicit-function-declaration]
  393 |       strcat(quartetFileName, basename(ckp.quartetFileName));
      |                               ^~~~~~~~
      |                               rename
quartets.c:393:31: warning: passing argument 2 of ‘strcat’ makes pointer from integer without a cast [-Wint-conversion]
  393 |       strcat(quartetFileName, basename(ckp.quartetFileName));
      |                               ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
      |                               |
      |                               int
In file included from /usr/include/features.h:461,
                 from /usr/include/x86_64-linux-gnu/bits/libc-header-start.h:33,
                 from /usr/include/limits.h:26,
                 from /usr/lib/gcc/x86_64-linux-gnu/10/include/limits.h:195,
                 from /usr/lib/gcc/x86_64-linux-gnu/10/include/syslimits.h:7,
                 from /usr/lib/gcc/x86_64-linux-gnu/10/include/limits.h:34,
                 from quartets.c:36:
/usr/include/x86_64-linux-gnu/bits/string_fortified.h:126:1: note: expected ‘const char * restrict’ but argument is of type ‘int’
  126 | __NTH (strcat (char *__restrict __dest, const char *__restrict __src))
      | ^~~~~
mpicc -o examl-sse3 axml.o optimizeModel.o trash.o searchAlgo.o topologies.o treeIO.o models.o evaluatePartialGenericSpecial.o evaluateGenericSpecial.o newviewGenericSpecial.o makenewzGenericSpecial.o bipartitionList.o restartHashTable.o avxLikelihood.o byteFile.o partitionAssignment.o communication.o quartets.o -lm -Wl,-z,relro -Wl,-z,now
make[2]: Leaving directory '/build/examl/examl-3.0.22/examl'
make[2]: Entering directory '/build/examl/examl-3.0.22/examl'
mpicc -o examl-OMP-sse3 axml.o optimizeModel.o trash.o searchAlgo.o topologies.o treeIO.o models.o evaluatePartialGenericSpecial.o evaluateGenericSpecial.o newviewGenericSpecial.o makenewzGenericSpecial.o bipartitionList.o restartHashTable.o avxLikelihood.o byteFile.o partitionAssignment.o communication.o quartets.o -lm -fopenmp -Wl,-z,relro -Wl,-z,now
make[2]: Leaving directory '/build/examl/examl-3.0.22/examl'
make[2]: Entering directory '/build/examl/examl-3.0.22/examl'
rm -f *.o examl-sse2
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse2 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o axml.o axml.c
In function ‘initializePartitions’,
    inlined from ‘initializeTree’ at axml.c:2217:3,
    inlined from ‘main’ at axml.c:2631:5:
axml.c:2121:40: warning: argument 1 range [18446744071562067968, 18446744073709551615] exceeds maximum object size 9223372036854775807 [-Walloc-size-larger-than=]
 2121 |       *modelWeights = (unsigned long*) calloc(tr->NumberOfModels, sizeof(unsigned long));
      |                                        ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from axml.c:44:
axml.c: In function ‘main’:
/usr/include/stdlib.h:542:14: note: in a call to allocation function ‘calloc’ declared here
  542 | extern void *calloc (size_t __nmemb, size_t __size)
      |              ^~~~~~
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse2 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o optimizeModel.o optimizeModel.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse2 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o trash.o trash.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse2 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o searchAlgo.o searchAlgo.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse2 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o topologies.o topologies.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse2 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o treeIO.o treeIO.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse2 -D_OPTIMIZED_FUNCTIONS -D_GNU_SOURCE -fomit-frame-pointer -funroll-loops -D_USE_ALLREDUCE  -O1 -Wdate-time -D_FORTIFY_SOURCE=2 -c -o models.o models.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse2 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o evaluatePartialGenericSpecial.o evaluatePartialGenericSpecial.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse2 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o evaluateGenericSpecial.o evaluateGenericSpecial.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse2 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o newviewGenericSpecial.o newviewGenericSpecial.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse2 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o makenewzGenericSpecial.o makenewzGenericSpecial.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse2 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o bipartitionList.o bipartitionList.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse2 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o restartHashTable.o restartHashTable.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse2 -Wdate-time -D_FORTIFY_SOURCE=2 -c -o avxLikelihood.o avxLikelihood.c
In file included from /usr/include/simde/x86/avx2.h:33,
                 from avxLikelihood.c:14:
/usr/include/simde/x86/avx.h: In function ‘simde__m256d_from_private’:
/usr/include/simde/x86/avx.h:287:1: note: the ABI for passing parameters with 32-byte alignment has changed in GCC 4.6
  287 | simde__m256d_from_private(simde__m256d_private v) {
      | ^~~~~~~~~~~~~~~~~~~~~~~~~
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse2 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o byteFile.o byteFile.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse2 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o partitionAssignment.o partitionAssignment.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse2 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o communication.o communication.c
mpicc -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -msse2 -Wdate-time -D_FORTIFY_SOURCE=2  -c -o quartets.o quartets.c
quartets.c: In function ‘computeQuartets’:
quartets.c:393:31: warning: implicit declaration of function ‘basename’; did you mean ‘rename’? [-Wimplicit-function-declaration]
  393 |       strcat(quartetFileName, basename(ckp.quartetFileName));
      |                               ^~~~~~~~
      |                               rename
quartets.c:393:31: warning: passing argument 2 of ‘strcat’ makes pointer from integer without a cast [-Wint-conversion]
  393 |       strcat(quartetFileName, basename(ckp.quartetFileName));
      |                               ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
      |                               |
      |                               int
In file included from /usr/include/features.h:461,
                 from /usr/include/x86_64-linux-gnu/bits/libc-header-start.h:33,
                 from /usr/include/limits.h:26,
                 from /usr/lib/gcc/x86_64-linux-gnu/10/include/limits.h:195,
                 from /usr/lib/gcc/x86_64-linux-gnu/10/include/syslimits.h:7,
                 from /usr/lib/gcc/x86_64-linux-gnu/10/include/limits.h:34,
                 from quartets.c:36:
/usr/include/x86_64-linux-gnu/bits/string_fortified.h:126:1: note: expected ‘const char * restrict’ but argument is of type ‘int’
  126 | __NTH (strcat (char *__restrict __dest, const char *__restrict __src))
      | ^~~~~
mpicc -o examl-sse2 axml.o optimizeModel.o trash.o searchAlgo.o topologies.o treeIO.o models.o evaluatePartialGenericSpecial.o evaluateGenericSpecial.o newviewGenericSpecial.o makenewzGenericSpecial.o bipartitionList.o restartHashTable.o avxLikelihood.o byteFile.o partitionAssignment.o communication.o quartets.o -lm -Wl,-z,relro -Wl,-z,now
make[2]: Leaving directory '/build/examl/examl-3.0.22/examl'
make[2]: Entering directory '/build/examl/examl-3.0.22/examl'
mpicc -o examl-OMP-sse2 axml.o optimizeModel.o trash.o searchAlgo.o topologies.o treeIO.o models.o evaluatePartialGenericSpecial.o evaluateGenericSpecial.o newviewGenericSpecial.o makenewzGenericSpecial.o bipartitionList.o restartHashTable.o avxLikelihood.o byteFile.o partitionAssignment.o communication.o quartets.o -lm -fopenmp -Wl,-z,relro -Wl,-z,now
make[2]: Leaving directory '/build/examl/examl-3.0.22/examl'
/usr/bin/make --directory=parser -f Makefile.SSE3.gcc
make[2]: Entering directory '/build/examl/examl-3.0.22/parser'
rm -f *.o parse-examl""
gcc  -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -fomit-frame-pointer -O2 -D_GNU_SOURCE -funroll-loops  -Wall -Wunused-parameter -Wredundant-decls  -Wreturn-type  -Wswitch-default -Wunused-value -Wimplicit  -Wimplicit-function-declaration  -Wimplicit-int -Wimport  -Wunused  -Wunused-function  -Wunused-label -Wno-int-to-pointer-cast -Wbad-function-cast  -Wmissing-declarations -Wmissing-prototypes  -Wnested-externs  -Wold-style-definition -Wstrict-prototypes   -Wpointer-sign -Wextra -Wredundant-decls -Wunused -Wunused-function -Wunused-parameter -Wunused-value  -Wunused-variable -Wformat  -Wformat-nonliteral -Wparentheses -Wsequence-point -Wuninitialized -Wundef -Wbad-function-cast -Wdate-time -D_FORTIFY_SOURCE=2  -c -o axml.o axml.c
axml.c: In function ‘genericBaseFrequencies’:
axml.c:2509:19: warning: comparison is always true due to limited range of data type [-Wtype-limits]
 2509 |        if(yptr[j] >= 0 && yptr[j] < 20)
      |                   ^~
gcc  -g -O2 -ffile-prefix-map=/build/examl/examl-3.0.22=. -fstack-protector-strong -Wformat -Werror=format-security -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -fomit-frame-pointer -O2 -D_GNU_SOURCE -funroll-loops  -Wall -Wunused-parameter -Wredundant-decls  -Wreturn-type  -Wswitch-default -Wunused-value -Wimplicit  -Wimplicit-function-declaration  -Wimplicit-int -Wimport  -Wunused  -Wunused-function  -Wunused-label -Wno-int-to-pointer-cast -Wbad-function-cast  -Wmissing-declarations -Wmissing-prototypes  -Wnested-externs  -Wold-style-definition -Wstrict-prototypes   -Wpointer-sign -Wextra -Wredundant-decls -Wunused -Wunused-function -Wunused-parameter -Wunused-value  -Wunused-variable -Wformat  -Wformat-nonliteral -Wparentheses -Wsequence-point -Wuninitialized -Wundef -Wbad-function-cast -Wdate-time -D_FORTIFY_SOURCE=2  -c -o parsePartitions.o parsePartitions.c
gcc  -o parse-examl"" axml.o parsePartitions.o -lm -Wl,-z,relro -Wl,-z,now
make[2]: Leaving directory '/build/examl/examl-3.0.22/parser'
make[1]: Leaving directory '/build/examl/examl-3.0.22'
   dh_auto_test -O--sourcedirectory=examl
   create-stamp debian/debhelper-build-stamp
   dh_testroot -O--sourcedirectory=examl
   dh_prep -O--sourcedirectory=examl
   debian/rules override_dh_auto_install
make[1]: Entering directory '/build/examl/examl-3.0.22'
dh_install debian/bin/simd-dispatch /usr/lib/examl/bin
dh_install examl/examl* /usr/lib/examl/bin/
dh_install parser/parse-examl /usr/bin/
mkdir -p /build/examl/examl-3.0.22/debian/examl/usr/bin
cd /build/examl/examl-3.0.22/debian/examl/usr/bin \
	&& for prog in examl examl-OMP ; do \
	ln -s ../lib/examl/bin/simd-dispatch ${prog} ; done
make[1]: Leaving directory '/build/examl/examl-3.0.22'
   dh_installdocs -O--sourcedirectory=examl
   dh_installchangelogs -O--sourcedirectory=examl
   dh_installman -O--sourcedirectory=examl
   dh_installinit -O--sourcedirectory=examl
   dh_installsystemduser -O--sourcedirectory=examl
   dh_perl -O--sourcedirectory=examl
   dh_link -O--sourcedirectory=examl
   dh_strip_nondeterminism -O--sourcedirectory=examl
   dh_compress -O--sourcedirectory=examl
   dh_fixperms -O--sourcedirectory=examl
   dh_missing -O--sourcedirectory=examl
   dh_dwz -O--sourcedirectory=examl
   dh_strip -O--sourcedirectory=examl
   dh_makeshlibs -O--sourcedirectory=examl
   dh_shlibdeps -O--sourcedirectory=examl
   dh_installdeb -O--sourcedirectory=examl
   debian/rules override_dh_gencontrol
make[1]: Entering directory '/build/examl/examl-3.0.22'
dh_gencontrol -- -Vsimde:Built-Using="simde (= 0.7.2-4), "
make[1]: Leaving directory '/build/examl/examl-3.0.22'
   dh_md5sums -O--sourcedirectory=examl
   dh_builddeb -O--sourcedirectory=examl
dpkg-deb: building package 'examl' in '../examl_3.0.22-1_amd64.deb'.
 dpkg-genbuildinfo
 dpkg-genchanges  >../examl_3.0.22-1_amd64.changes
dpkg-genchanges: info: including full source code in upload
 dpkg-source --after-build .
dpkg-buildpackage: info: full upload (original source is included)
+ date
Thu Apr 20 13:12:39 UTC 2023
+ cd ..
+ ls -la
total 1952
drwxr-xr-x  3 root root   4096 Apr 20 13:12 .
drwxr-xr-x  3 root root   4096 Apr 20 13:10 ..
-rw-r--r--  1 root root  63665 Apr 20 13:12 buildlog.txt
drwxr-xr-x 10 root root   4096 Apr 20 13:10 examl-3.0.22
-rw-r--r--  1 root root  26920 Apr 20 13:10 examl_3.0.22-1.debian.tar.xz
-rw-r--r--  1 root root   1093 Apr 20 13:10 examl_3.0.22-1.dsc
-rw-r--r--  1 root root   6969 Apr 20 13:12 examl_3.0.22-1_amd64.buildinfo
-rw-r--r--  1 root root   1965 Apr 20 13:12 examl_3.0.22-1_amd64.changes
-rw-r--r--  1 root root 926568 Apr 20 13:12 examl_3.0.22-1_amd64.deb
-rw-r--r--  1 root root 941388 Jun  4  2020 examl_3.0.22.orig.tar.gz
+ find . -maxdepth 1 -type f
+ sha256sum ./examl_3.0.22-1_amd64.buildinfo ./examl_3.0.22-1_amd64.deb ./buildlog.txt ./examl_3.0.22-1.dsc ./examl_3.0.22-1.debian.tar.xz ./examl_3.0.22.orig.tar.gz ./examl_3.0.22-1_amd64.changes
1f9d9ab83601ea814959a7f797b7b744a8920bf6bc1ac925af3efcda38e60161  ./examl_3.0.22-1_amd64.buildinfo
850ba5eea0db6d0f93266aac8bd6731b55fed0748be344835db54997e799174e  ./examl_3.0.22-1_amd64.deb
c9dd636ae071183f985c48bacbb450e26d3414b1bd9e472dfe64a0db48313402  ./buildlog.txt
b0f635f174694349fb85df7f0407e24a014709ec12a51bbddab99b2e47a1e601  ./examl_3.0.22-1.dsc
a7d69b7f638d482c502545b08e3a5cd319c4a7eb03d31a1b80917122572075e1  ./examl_3.0.22-1.debian.tar.xz
802e673b0c2ea83fdbe6b060048d83f22b6978933a04be64fb9b4334fe318ca3  ./examl_3.0.22.orig.tar.gz
da1f9c49c72ffa31f04b79c74e635880b82b81fad9422462e62ee6d9466aa7f8  ./examl_3.0.22-1_amd64.changes
+ mkdir published
+ cd published
+ cd ../
+ ls examl_3.0.22-1_amd64.deb *.udeb
ls: cannot access '*.udeb': No such file or directory
+ wget --retry-connrefused --retry-on-host-error --tries=3 http://repo.pureos.net/pureos/pool/main/e/examl/examl_3.0.22-1_amd64.deb
--2023-04-20 13:12:39--  http://repo.pureos.net/pureos/pool/main/e/examl/examl_3.0.22-1_amd64.deb
Resolving repo.pureos.net (repo.pureos.net)... 138.201.228.45
Connecting to repo.pureos.net (repo.pureos.net)|138.201.228.45|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2023-04-20 13:12:39 ERROR 404: Not Found.

